@charset "utf-8";

html, body{
  width: 100%;

  margin: 0;
  padding: 0;

  background-color: var(--base1);

  font-family: "Jost", "Noto Sans JP", sans-serif;
  font-size: 8px;
}

/* ============================================================ */
/* ============================================================ */
/* ============================================================ */

header{
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999;

  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 0;

  width: calc(100% - 3rem * 2);
  height: 10rem;

  margin: 0;
  padding: 0 3rem;

  background-color: #ffffff88;

  backdrop-filter: blur(1rem);
}

header>a{
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  gap: 2rem;

  width: fit-content;
  height: 100%;

  margin: 0;
  padding: 0;

  text-decoration: none;
}

header>a>p{
  display: block;

  width: fit-content;
  height: 100%;

  margin: 0;
  padding: 0;

  color: var(--text1);
  font-family: "Jost", "Noto Sans JP", sans-serif;
  font-weight: 600;
  font-size: 3rem;

  line-height: 10rem;
  text-align: justify;
  text-decoration: none;
  letter-spacing: 0.1rem;
}
header>a>small{
  display: block;

  width: fit-content;
  height: 100%;

  margin: 0;
  padding: 0;

  color: var(--text1);
  font-family: "Jost", "Noto Sans JP", sans-serif;
  font-weight: 400;
  font-size: 1.5rem;

  line-height: 10rem;
  text-align: justify;
  text-decoration: none;
  letter-spacing: 0.1rem;
}

header>div{
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 2rem;

  width: fit-content;
  height: 100%;

  margin: 0;
  padding: 0;
}

header>div>a{
  display: block;

  width: fit-content;
  height: fit-content;

  margin: auto 0;
  padding: 0 2rem;

  border-radius: 2.5rem;

  color: var(--text1);
  font-family: "Jost", "Noto Sans JP", sans-serif;
  font-weight: 400;
  font-size: 2rem;

  line-height: 5rem;
  text-align: justify;
  text-decoration: none;
  letter-spacing: 0;
}
header>div>a:hover{
  background-color: var(--base2);
  text-decoration: underline;
}

span#topMargin{
  display: block;

  width: 100%;
  height: 10rem;

  margin: 0;
  padding: 0;
}

/* ============================================================ */
/* ============================================================ */
/* ============================================================ */

div.descContainer{
  display: block;

  width: 60%;
  height: auto;

  margin: 5rem auto;
  padding: 0;
}

div.descContainer>h1{
  display: block;

  width: fit-content;
  height: auto;

  margin: 0;
  padding: 0;

  color: var(--text1);
  font-family: "Jost", "Noto Sans JP", sans-serif;
  font-weight: 400;
  font-size: 3rem;

  line-height: 5rem;
  text-align: justify;
  text-decoration: none;
  letter-spacing: 0;
}

div.descContainer>p{
  display: block;

  width: fit-content;
  height: auto;

  margin: 0;
  padding: 0;

  color: var(--text1);
  font-family: "Jost", "Noto Sans JP", sans-serif;
  font-weight: 400;
  font-size: 1.75rem;

  line-height: 4rem;
  text-align: justify;
  text-decoration: none;
  letter-spacing: 0;
}

div.descContainer>ul{
  display: block;

  width: fit-content;
  height: auto;

  margin: 0 0 0 2rem;
  padding: 0;

  color: var(--text1);
  font-family: "Jost", "Noto Sans JP", sans-serif;
  font-weight: 400;
  font-size: 1.75rem;

  line-height: 4rem;
  text-align: justify;
  text-decoration: none;
  letter-spacing: 0;
  
  list-style-type: square;
}

/* ============================================================ */
/* ============================================================ */
/* ============================================================ */

div#titleContainer{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: 0;

  width: 100%;
  height: calc(100dvh - 10rem);

  margin: 0;
  padding: 0;

  background: linear-gradient(#ffffffff, #ffffff66), url(../image/title-background.jpg);
  background-size: cover;
  background-position: center center;
}

div#titleContainer>h1{
  display: block;

  width: calc(100% - 20rem * 2);
  height: auto;

  margin: 0;
  padding: 2rem 20rem;

  background-color: #00000020;

  color: var(--text1);
  font-family: "Jost", "Noto Sans JP", sans-serif;
  font-weight: 600;
  font-size: 3rem;

  line-height: 5rem;
  text-align: justify;
  text-decoration: none;
  letter-spacing: 0;
}

div#titleContainer>h2{
  display: block;

  width: fit-content;
  height: auto;

  margin: 0 0 2rem 0;
  padding: 0;

  color: var(--text1);
  font-family: "Jost", "Noto Sans JP", sans-serif;
  font-weight: 500;
  font-size: 2rem;

  line-height: 3rem;
  text-align: center;
  text-decoration: none;
  letter-spacing: 0;
}

div#titleContainer>div>i{
  display: block;

  width: fit-content;
  height: auto;

  margin: 0;
  padding: 0;

  color: var(--text1);
  font-size: 2rem;

  line-height: 3rem;
  text-align: center;
  text-decoration: none;
  letter-spacing: 0;
}

/* ============================================================ */
/* ============================================================ */
/* ============================================================ */

footer{
  display: block;

  width: 100%;
  height: 3rem;

  margin: 0 auto;
  padding: 1rem 0;

  color: var(--text2);
  font-family: "Jost", "Noto Sans JP", sans-serif;
  font-weight: 400;
  font-size: 1.5rem;

  line-height: 3rem;
  text-align: center;
  text-decoration: none;
  letter-spacing: 0;
}